package com.style24.admin.support.env;

/**
 * 변경될 소지가 있는 변수 값을 정의
 *
 * @author gagamel
 * @since 2020. 10. 5
 */
public class TsaConstants {

	public static final String EXCEL_FOOTER_TITLE = "Copyright(c) 2020 STYLE24, All rights reserved.";

	// 공지유형
	public enum NoticeType {
		SITE("G047_10"),
		INNER("G047_20");

		private String value;

		private NoticeType(String value) {
			this.value = value;
		}

		public String value() {
			return value;
		}
	}

	// 주문상세상태
	public enum OrderDetailStat {
		DEPOSIT_WAIT("G013_10"),			// 입금대기
		ORDER_WAIT_PRICE("G013_18"),		// 발주대기-가격차이
		ORDER_WAIT_POST("G013_19"),			// 발주대기-우편번호상이
		PAYMENT_COMPLETE("G013_20"),		// 결제완료
		GOODS_PREPARE("G013_30"),			// 상품준비중
		DELIVERY_PREPARE("G013_40"),		// 배송준비중
		SHIPPING("G013_50"),				// 배송중
		SHIP_COMPLETE("G013_55"),			// 출고완료
		DELIVERY_COMPLETE("G013_60"),		// 배송완료
		//PURCHASE_CONFIRM("70"),			// 구매확정
		PAYMENT_BEFORE_CANCEL("G013_98"),	// 결제전주문취소
		PAYMENT_AFTER_CANCEL("G013_99");	// 결제후주문취소

		private String value;

		private OrderDetailStat(String value) {
			this.value = value;
		}

		public String value() {
			return value;
		}
	}
	
	// 몰구분
	public enum MallGb {
		SELFMALL("G011_10"),			// 자사몰
		EXTMALL("G011_20");				// 제휴몰몰

		private String value;

		private MallGb(String value) {
			this.value = value;
		}

		public String value() {
			return value;
		}
	}	
}
